Search Available Phone Numbers
curl --request GET \
--url https://api.getnexor.ai/api/public/numbers/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/numbers/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/numbers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"numbers": [
{
"phoneNumber": "<string>",
"friendlyName": "<string>",
"region": "<string>",
"capabilities": {},
"monthlyCost": "<string>",
"upfrontCost": "<string>",
"features": [
"<string>"
],
"provider": "<string>"
}
]
}{
"error": "<unknown>",
"message": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>"
}Search Available Phone Numbers
This operation lets you search available phone numbers for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
GET
/
numbers
/
search
Search Available Phone Numbers
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Query Parameters
Trimmed, non-empty country code. No enum or ISO-shape validation is enforced.
Minimum string length:
1Last modified on September 8, 2026
⌘I